<script>
export default {
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
};
</script>

<template>
  <div class="slp-mt-96 slp-mb-32">
    <SlpRow class="slp-mb-48">
      <SlpTypography tag="h2" variant="heading2-bold">{{
        data.title
      }}</SlpTypography>
    </SlpRow>
    <SlpRow>
      <SlpColumn
        v-for="card in data.cards"
        :key="card.header"
        :cols="data.cards.length > 1 ? 6 : 12"
      >
        <SlpCard200 class="cta-block__card">
          <SlpIcon
            size="lg"
            variant="marketing"
            :name="card.icon"
            class="slp-mb-8"
          />
          <SlpTypography variant="heading4-bold" class="slp-mb-24">{{
            card.header
          }}</SlpTypography>
          <div
            v-if="card.description"
            class="slp-text-body slp-mb-24"
            v-html="$md.render(card.description)"
          ></div>
        </SlpCard200>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style lang="scss" scoped>
:deep a {
  text-decoration: underline;
  color: $color-text-300 !important;
}

.cta-block {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 32px;

  @media (max-width: $breakpoint-lg) {
    grid-template-columns: 1fr;
  }

  &__card {
    display: flex !important;
    background: $color-surface-800;
    flex-direction: column;
    align-items: flex-start;
    max-width: 100%;

    .cta-button {
      padding-left: 0;
    }
  }
  :deep {
    .slp-card200,
    .slp-col-md-12 {
      width: 100%;
      max-width: 100%;
    }
  }
}
</style>
